Subject: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: [email-masked] (Ashish SHUKLA)
Date: Thu, 07 Mar 2013 13:08:49 +0530

On Thu, 07 Mar 2013 08:55:51 +0200, Eli Zaretskii <[email-masked]> said:
>> From: [email-masked] (Ashish SHUKLA)
>> Cc: [email-masked]
>> Date: Thu, 07 Mar 2013 07:13:46 +0530
>> 
>> > So with "emacs -Q", you saw update_frame_1 being constantly called all
>> > the time, even if you didn't press any key after "C-x C-f", is that
>> > right?
>> 
>> Correct.
>> 
>> > If so, please add "bt" to the breakpoint commands, so that we see who
>> > is calling update_frame_1.
>> 
>> Please find the gdb output in attached file, immediately after doing
>> "emacsclient -t .emacs.d/init.el". I didn't press any key, or did anything to
>> few window. After few pages of output I decided to exit from GDB.

> Thanks.  However, didn't you say that the flickering only starts once
> you type "C-x C-f" in the frame open by emacsclient?  If so, I need
> this GDB output after you type "C-x C-f", please.

Well, it happens:

 - if I press C-x C-f in 'emacsclient -t' xterm

OR

 - focus to X11 frame
 - focus back to 'emacsclient -t' xterm
 - press any key

> And yes, once the backtrace and the values of the two arguments start
> repeating themselves, you can exit GDB.

Okay. Do you know any way to prevent GDB from paging the output (i.e. printing
"press enter to continue message"), which becomes annoying when capturing a
streaming output like this ?

Thanks
-- 
Ashish SHUKLA

“At some point, bits have to go into packets and routers need to make decisions
on them. Changes at that level is what I want to hear about, not strategic
company relationships.” (John Carmack)

Sent from my Emacs